package com.ruoyi.business.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 投诉对象 re_req
 * 
 * @author xiatao
 * @date 2022-01-18
 */
public class ReReq extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long reqId;

    /** 悬赏id */
    @Excel(name = "悬赏id")
    private Long rewardId;

    /** 用户id */
    @Excel(name = "用户id")
    private Long userId;

    /** 投诉理由 */
    @Excel(name = "投诉理由")
    private Integer type;

    /** 内容 */
    @Excel(name = "内容")
    private String reqDesc;

    /** ，分割url */
    @Excel(name = "，分割url")
    private String reqUrl;

    /** 审核状态1待处理2已处理3暂不处理 */
    @Excel(name = "审核状态1待处理2已处理3暂不处理")
    private Integer auditStatus;

    /** 回复类容 */
    @Excel(name = "回复类容")
    private String reqReply;

    public void setReqId(Long reqId) 
    {
        this.reqId = reqId;
    }

    public Long getReqId() 
    {
        return reqId;
    }
    public void setRewardId(Long rewardId) 
    {
        this.rewardId = rewardId;
    }

    public Long getRewardId() 
    {
        return rewardId;
    }
    public void setUserId(Long userId) 
    {
        this.userId = userId;
    }

    public Long getUserId() 
    {
        return userId;
    }
    public void setType(Integer type) 
    {
        this.type = type;
    }

    public Integer getType() 
    {
        return type;
    }
    public void setReqDesc(String reqDesc) 
    {
        this.reqDesc = reqDesc;
    }

    public String getReqDesc() 
    {
        return reqDesc;
    }
    public void setReqUrl(String reqUrl) 
    {
        this.reqUrl = reqUrl;
    }

    public String getReqUrl() 
    {
        return reqUrl;
    }
    public void setAuditStatus(Integer auditStatus) 
    {
        this.auditStatus = auditStatus;
    }

    public Integer getAuditStatus() 
    {
        return auditStatus;
    }
    public void setReqReply(String reqReply) 
    {
        this.reqReply = reqReply;
    }

    public String getReqReply() 
    {
        return reqReply;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("reqId", getReqId())
            .append("rewardId", getRewardId())
            .append("userId", getUserId())
            .append("type", getType())
            .append("reqDesc", getReqDesc())
            .append("reqUrl", getReqUrl())
            .append("auditStatus", getAuditStatus())
            .append("reqReply", getReqReply())
            .append("createTime", getCreateTime())
            .toString();
    }
}
